
QGIS Application - Bug report #14776

[composer] Incorrect world file generated if dpi changed in image export options dialog

2016-05-05 02:59 PM - Rhenriques Henriques

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22733

Description

A small Idiosyncrasy in Print Composer that must be avoided: If the "world file" option is selected in the composition, it should be

impossible to change the image resolution (in dpi's) after save as image dialog. If we alter that resolution using this step, the final image

will not be compatible with the generated "world file". Everything will work as expected if the resolution is selected in the composition tab

and the value is not altered after the "save as" dialogue box. I suggest that if the "world file option is selected, the image resolution will

appear grayed out after the save dialogue box appears. 

Cheers.

History

#1 - 2016-05-05 03:17 PM - Nyall Dawson

- Subject changed from World file in Composer and save as image Idiosyncrasy to [composer] Incorrect world file generated if dpi changed in image 

export options dialog

- Priority changed from Normal to High

A better fix would be to ensure that the world file is correct even if the DPI is changed...

#2 - 2016-05-05 04:32 PM - Rhenriques Henriques

Yes, Nyall, much better!

Cheers

#3 - 2016-05-23 01:53 PM - Giovanni Manghi

- Operating System deleted (All)

- Priority changed from High to Normal

#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2017-12-19 12:42 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

Fixed in layouts engine
